/* -----------------------------
table.do
きれいな統計表をつくりたい
----------------------------- */
cd c:\data

* chapter2-1.doファイルで作成したDTAファイルを呼び出す。
use chapter2.dta,clear

* 1) tabstatによる表頭と表側の交換
tabstat rent floor, stat(mean sd)
tabstat rent floor age distance, stat(mean sd)
tabstat rent floor age distance, stat(mean sd) col(s)

* 2) クロス表のシェアを計算する
tab category year, nofreq col
tab category year, nofreq row
tab category year, row

* 3) 3変数のクロス表を作成する
table category auto_lock year,col row



