/* -----------------------------------------------
Factor Varibale の例２

小田急江ノ島線高座渋谷・長後・湘南台・六会を
最寄り駅とする賃貸物件221件のデータによる回帰分析
-------------------------------------------------*/
cd c:\data

import excel using odakyu-enoshima.xlsx, clear firstrow
gen distance=walk + bus

**********************************************
* (続 3-2-3) ダミー変数を複数追加する場合

* <<最寄り駅ダミー>>
* 高座渋谷ダミー
gen kozashibuya=0
replace kozashibuya=1 if station=="kozashibuya"

* 長後ダミー
gen chogo=0
replace chogo=1 if station=="chogo"

* 湘南台ダミー
gen shonandai=0
replace shonandai=1 if station=="shonandai"

* 六会ダミー
gen mutsuai=0
replace mutsuai=1 if station=="mutsuai"

gen kozashibuya2004=0
replace kozashibuya2004=1 if station=="kozashibuya"&year==2004

gen shonandai2004=0
replace shonandai2004=1 if station=="shonandai"&year==2004

gen mutsuai2004=0
replace mutsuai2004=1 if station=="mutsuai"&year==2004

* 2004年ダミーの作成
gen year2004=0
replace year2004=1 if year==2004

* equation (9)
reg rent floor age year2004 kozashibuya shonandai mutsuai kozashibuya2004 shonandai2004 mutsuai2004

* equation (10)
reg rent floor age year2004 i.kozashibuya i.shonandai i.mutsuai i.kozashibuya##i.year2004 i.shonandai##i.year2004 i.mutsuai##i.year2004

