/* -----------------------------------------------
補論 Outreg2の使い方
-------------------------------------------------*/
cd c:\data

import excel using odakyu-enoshima.xlsx,clear firstrow

gen distance=walk + bus


**********************************************
/* 「3-3 回帰分析の結果のとりまとめ」で説明したestoutコマンドの
オプションの付け方の例 */

* 例１
reg rent floor age 
outreg2 using ex-outreg1.xls,excel replace

reg rent floor age distance auto_lock
outreg2 using ex-outreg1.xls,excel append

* 例２
reg rent floor age 
outreg2 using ex-outreg2.xls,excel stats(coef tstat) addstat(Adj R-squared, `e(r2_a)', F-stat, `e(F)') dec(3) replace

reg rent floor age distance auto_lock
outreg2 using ex-outreg2.xls,excel stats(coef tstat) addstat(Adj R-squared, `e(r2_a)', F-stat, `e(F)') dec(3) append

* 例３
reg rent floor age 
outreg2 using ex-outreg3.xls,excel stats(coef tstat) addstat(Adj R-squared, `e(r2_a)', F-stat, `e(F)') dec(3) sideway replace
