/*
 Probit, Logitモデルの推定例
 */
cd c:\data

use fdi-firm.dta,clear

* 海外生産拠点の有無に関するダミー変数
* （変数LFは海外従業者数）
gen dum_fdi=0
replace dum_fdi=1 if lf>0

probit dum_fdi slsprofit wage labor

margins, dydx(_all) post
outreg2 using result-probit-logit.xls,excel replace

logit dum_fdi slsprofit wage labor
margins, dydx(_all) post
outreg2 using result-probit-logit.xls,excel append

