/*
推計結果から係数を取り出す
*/
cd c:\data

use w-census.dta,clear

reg wage age female production
gen b1=_b[age]
gen b2=_b[female]
gen b3=_b[production]
gen b4=_b[_cons]

sum b1 b2 b3 b4

gen z=b1*age+b2*female+b3*production+b4

predict wage_hat

sum wage_hat z

* 決定係数やＦ値を取り出す
reg wage age female production
ereturn list
gen r2=e(r2)
sum r2

sum wage
return list
gen mean_wage=r(mean)
su mean_wage
