/*------------------------------------
heteroscedasticity.do
不均一分散への対処方法

------------------------------------*/
cd c:\data

use heteroscedasticity.dta,clear

reg cons income

rvfplot

* rvfplotは以下のコマンドと同義

* 予測値を出力
predict pred

* 残差を出力
predict res, resid

* 散布図を作成
*scatter res pred

* WhiteのHCSE
reg cons income,robust


* 残差の２乗と人口の関係 & 加重最小２乗法

gen res2=res*res
gen income2=income*income
reg res2 income income2

predict res2_hat

reg cons income [aweight=1/res2_hat]

replace cons=cons/sqrt(res2_hat)
replace income=income/sqrt(res2_hat)
gen const=1/sqrt(res2_hat)

reg cons income const,noc
