/*
 第２章
ヒストグラム作成までの作業のプログラム

*/
cd c:\data

import excel using rent-shonandai.xlsx,clear firstrow

replace auto_lock="0" if auto_lock=="NO"
replace auto_lock="1" if auto_lock=="YES"
destring auto_lock,replace
replace bus=0 if bus==.

replace rent=rent+service

gen distance=walk + bus


/*
本文の37ページのヒストグラムと対応させるため，40ページ中のコマンドを以下のように書き換えました．histogramコマンドで，横軸をゼロからスタートさせ，幅を3とする場合（histogram rent, percent width(3) start(0)），対応する度数分布表の階級は，
階級１　x>=0 & x<3
階級２　x>=3 & x<6
階級３　x>=6 & x<9
階級４　x>=9 & x<12
階級５　x>=12 & x<15
階級６　x>=15 & x<=18
とする必要があります．

*/


gen category=1 if rent>3 & rent<=6
replace category=2 if rent>6 & rent<=9
replace category=3 if rent>9 & rent<=12
replace category=4 if rent>12 & rent<=15
replace category=5 if rent>15 & rent<=18

tab category
tab category year
tab category year if rent<10

histogram rent, width(3) by(year) freq start(0)

save chapter2.dta,replace

