/* chapter2-2.do
 第２章 ヒストグラム作成までの作業のプログラム */

cd c:\data

* chapter2-1.doファイルで作成したDTAファイルを呼び出す。
use chapter2.dta,clear

log using chapter2,replace

/*
注意：拡張子を付けない場合、smcl形式のlogファイルが作成されます。
ノート・パッドや秀丸などのテキスト・エディターで読み書きできるファイルを
作成するには、以下のように拡張子logを付けてください。
log using chapter2.log,replace
*/

tab  category year if rent<10

sum  rent service age floor

sum  rent service age floor if year==2004

tabstat  rent ,by(year)

tabstat  rent ,by(year) stat(mean sd)

tabstat  rent floor,by(year) stat(mean sd)

table year

table year,c(mean rent)

table year auto_lock,c(mean rent)

scatter rent floor

correl rent distance age floor


log close
