/*

統計表を出力する　by estpost

注意：///は、一つのコマンドを2行以上に分けて記入するための記号です。

esttab using table-estpost.csv, ///
cells("mean(fmt(2)) sd(fmt(2)) min(fmt(2)) max(fmt(2))") nonumber noobs replace
は、
esttab using table-estpost.csv, cells("mean(fmt(2)) sd(fmt(2)) min(fmt(2)) max(fmt(2))") nonumber noobs replace
と同じ結果を出力します。

*/
cd c:\data

import excel using rent-shonandai.xlsx,firstrow clear
* sumの結果出力
estpost sum rent service if year==1999
esttab using table-estpost.csv, ///
cells("mean(fmt(2)) sd(fmt(2)) min(fmt(2)) max(fmt(2))") nonumber noobs replace
* tabstatの結果出力(1)
estpost tabstat rent service age walk,by(year) statistics(mean sd)
esttab using table-estpost.csv, ///
cells("rent(fmt(2)) service(fmt(2)) age(fmt(2)) walk(fmt(2))") noobs nonumber append
* tabstatの結果出力(2)
estpost tabstat rent service ,by(year) statistics(mean sd max min) col(stat)
esttab using table-estpost.csv, ///
cells("mean(fmt(2)) sd(fmt(2)) max(fmt(2)) min(fmt(2))") noobs nonumber append
* correlの結果出力
estpost corr rent floor age, matrix
esttab using table-estpost.csv, ///
not unstack compress noobs nonumber nostar append
* tabulate の結果出力
estpost tab auto_lock year
esttab using table-estpost.csv, ///
not unstack compress noobs nolegend nonumber append
