/* -----------------------------------------------
補論
表の項目ラベルの付与

-------------------------------------------------*/
cd c:\data

import excel using rent-shonandai.xlsx,clear firstrow

*********************************************
* 有効桁数の調整
tabstat rent, by(year)

* 全体で6桁、小数点以下4桁を表示する
tabstat rent,by(year) format(%6.4f)

*********************************************
* 表の項目ラベルの付与
* 度数分布表の作成
gen category=6 if rent>3 & rent<=6
replace category=9 if rent>6 & rent<=9
replace category=12 if rent>9 & rent<=12
replace category=15 if rent>12 & rent<=15
replace category=18 if rent>15 & rent<=18

tab category

* ラベルの付与
label define cat_label 6 "floor>=3 & floor<6" 9 "floor>=6 & floor<9" 12 "floor>=9 & floor<12" 15 "floor>=12 & floor<15" 18 "floor>=15"
label value category cat_label 

tab category

codebook category

* バスを利用する物件:d_bus
gen d_bus=1
replace d_bus=2 if bus>0&bus!=.
label define bus_label 1 "No" 2 "Yes"
label value d_bus bus_label
tab d_bus

*numlabel bus_label, add mask("#) ")

numlabel bus_label, add 

tab d_bus
