/* -----------------------------
line_plot.do
折れ線グラフを作成する
----------------------------- */
cd c:\data

* データ読み込み
use w-census.dta,clear

* 折れ線グラフ
twoway line wage age if female==0&production==0 || line wage age if female==1&production==0

* 線の太さに差をつける
twoway line wage age if female==0&production==0, clwidth(thick) || line wage age if female==1&production==0, clwidth(thin)

* マーカーを付ける
twoway connected wage age if female==0&production==0 || connected wage age if female==1&production==0

* 中抜きのダイヤのマーカーをつける
twoway connected wage age if female==0&production==0, msymbol(S) || connected wage age if female==1&production==0,msymbol(Dh)

* ラベルの変更
twoway connected wage age if female==0&production==0,msymbol(S)|| connected wage age if female==1&production==0, msymbol(Dh) legend(label(1 "male") label(2 "female"))

