/*
 Probit, Logitモデルの推定例
 */
cd c:\data

use fdi-firm.dta,clear

* 海外生産拠点の有無に関するダミー変数
* （変数LFは海外従業者数）
gen dum_fdi=0
replace dum_fdi=1 if lf>0

probit dum_fdi slsprofit wage labor
margins, dydx(_all)

logit dum_fdi slsprofit wage labor

margins, dydx(_all)

tab dum_fdi
tobit lf slsprofit wage labor,ll(0)

reg lf slsprofit wage labor

