/*************************************************
任意の2時点の遷移確率を作成する

 企業の海外進出と雇用

fid: 企業コード
year: 年次
sales:売上高
profit:営業利益
slsprofit:売上利益率
wage:従業員あたり賃金俸給
rdsls:研究開発費対売上高比率
labor:従業者数
lf:海外従業者数
 
*************************************************/
cd c:\data

use fdi-firm.dta,clear

* 海外進出ダミー（海外従業者>0なら１をとるダミー変数）
gen mne=0
replace mne=1 if lf>0

tsset fid year
xttrans mne if year==1994|year==1995

* -- 1995年と1999年の比較 --
gen time=1 if year==1995
replace time=2 if year==1999

tsset fid time

* 海外進出のStatus
xttrans mne

