/* -----------------------------------------------
第３章 Outregによる結果の出力

小田急江ノ島線高座渋谷・長後・湘南台・六会を
最寄り駅とする賃貸物件221件のデータによる回帰分析

-------------------------------------------------*/
cd c:\data

import excel using odakyu-enoshima.xlsx, clear firstrow

gen distance=walk + bus

**********************************************
* (続 3-2-3) ダミー変数を複数追加する場合

* <<最寄り駅ダミー>>
* 高座渋谷ダミー
gen kozashibuya=0
replace kozashibuya=1 if station=="kozashibuya"

* 長後ダミー
gen chogo=0
replace chogo=1 if station=="chogo"

* 湘南台ダミー
gen shonandai=0
replace shonandai=1 if station=="shonandai"

* 六会ダミー
gen mutsuai=0
replace mutsuai=1 if station=="mutsuai"

**********************************************
reg rent floor age

reg rent floor age distance
outreg2 using result1.xls,excel replace

reg rent floor age distance auto_lock
outreg2 using result1.xls,excel append

reg rent floor age distance auto_lock kozashibuya shonandai mutsuai
outreg2 using result1.xls,excel append

