*************************************************
* 都道府県データによるパネル分析
*************************************************
cd c:\data

use prod-prefec0.dta,clear

sum prefecture y k l 

gen yl=log(y/l)
gen kl=log(k/l)

reg yl kl

tsset prefecture year

* 固定効果モデル
xtreg yl kl,fe
est store fixed

* 変量効果モデル
xtreg yl kl,re
* ハウスマン検定の結果を表示
hausman fixed
xttest0
