/*


第２章　練習問題

*/

* １）Stataに付属のサンプルデータによる分析
sysuse nlsw88.dta,clear

gen wage_cat=0
replace wage_cat=1 if wage<4
replace wage_cat=2 if wage>=4&wage<8
replace wage_cat=3 if wage>=8&wage<12
replace wage_cat=4 if wage>=12&wage<16
replace wage_cat=5 if wage>=16

tab wage_cat 

tab wage_cat race

tab wage_cat collgrad

histogram wage,freq start(0) width(4) by(collgrad)

table industry race,c(mean wage)

scatter wage grade
correl wage hours grade ttl_exp tenure

* ２）東京城南地区・川崎市の賃貸物件データ

import excel using rent-jonan-kawasaki.xlsx,clear firstrow

replace rent=rent+service/10
gen distance=walk+bus
*（１）鉄道路線別オートロック付物件の比率0
tab line autolock

*（２）鉄道沿線別の平均賃料、平均築年数、平均占有面積
tabstat rent age floor,by(line)

*（３）鉄道沿線別の賃貸料のヒストグラム（縦軸はパーセント）
gen rent_floor=rent/floor
histogram rent_floor ,percent by(line)

*（４）賃貸料、1平方メートル当たり賃貸料と駅からの時間距離、ターミナルからの所要時間の相関（鉄道gen distance=walk+bus
correl rent rent_floor terminal distance

*----------------------------------------------
*　回帰分析
* (1)
reg rent floor age catv autolock distance terminal
* (2)
reg rent floor age distance terminal

gen jr_line=line=="JR"
gen tokyu=line=="tokyu"

gen d_bus=0
replace d_bus=1 if d_bus>0

* (3)
reg  rent floor age autolock catv distance express terminal jr_line tokyu


* (4)
xi:reg  rent floor age autolock catv distance express terminal i.line d_bus

